/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_12005_TestCase
 * Tests that where multiple indirect dependent contributions export conflicting artifacts, 
 * the conflict is resolved by explicit import statements in the root contribution 
 * 
 * The concept of the test is that two composite files with the same name in 2 different 
 * contributions have different contents - and that only 1 of them will work with the root composite file
 */
public class ASM_12005_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 9);
    	config.input 			= "request";
    	config.output[0] 		= config.testName + " " + config.input + " servicex operation1 invoked" ;
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	// 3 contributions - second pair have conflicting versions of TestComposite5
    	config.contributionNames	= new String[] { "ASM_12005", "Contribution1", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_12005
